package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BWwwNewsVideo;
import org.apache.ibatis.annotations.Param;

/**
 * 资讯视频Mapper接口
 * 
 * @author mingxue
 * @date 2022-07-17
 */
public interface BWwwNewsVideoMapper 
{
    /**
     * 查询资讯视频
     * 
     * @param id 资讯视频ID
     * @return 资讯视频
     */
    public BWwwNewsVideo selectBWwwNewsVideoById(Long id);
    public BWwwNewsVideo selectBWwwNewsVideoByAliId(String aliId);
    public List<String> selectBWwwNewsVideoTypes();
    public List<String> selectBWwwNewsVideoSubTypes(@Param("type") String type);

    /**
     * 查询资讯视频列表
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 资讯视频集合
     */
    public List<BWwwNewsVideo> selectBWwwNewsVideoList(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 新增资讯视频
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 结果
     */
    public int insertBWwwNewsVideo(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 修改资讯视频
     * 
     * @param bWwwNewsVideo 资讯视频
     * @return 结果
     */
    public int updateBWwwNewsVideo(BWwwNewsVideo bWwwNewsVideo);

    /**
     * 删除资讯视频
     * 
     * @param id 资讯视频ID
     * @return 结果
     */
    public int deleteBWwwNewsVideoById(Long id);

    /**
     * 批量删除资讯视频
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBWwwNewsVideoByIds(Long[] ids);
}
